Package twisted :: Package protocols :: Module wire :: Class Chargen |
[frames | no frames]

## Class Chargen

    BaseProtocol --+
                   |
            Protocol --+
                       |
                      Chargen

Generate repeating noise (RFC 864)

Method Summary
| ``connectionMade`(self)` Called when a connection is made.
| `pauseProducing(self)`
| `resumeProducing(self)`
| `stopProducing(self)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``dataReceived`(self, data)` Called whenever data is received.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`class` | `__implements__` = `twisted.internet.interfaces.IProducer`
`str` | `noise` = `'@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklm...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self) Called when a connection is made. This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here. Overrides: `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

Class Variable Details

    ### noise Type: `str` Value:
        '@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~ !"#$\
        %&?'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:47 2003 | http://epydoc.sf.net